# Uses of Interface
org.springframework.core.convert.converter.Converter

Packages that use Converter
Package
Description
org.springframework.core.convert.converter
SPI to implement Converters for the type conversion system.
org.springframework.core.convert.support
Default implementation of the type conversion system.
org.springframework.core.serializer.support
Support classes for Spring's serializer abstraction.

## Uses of Converter in org.springframework.core.convert.converter

Methods in org.springframework.core.convert.converter that return Converter
Modifier and Type
Method
Description
`default <U> Converter<S,U>`
Converter.`andThen(Converter<? super T,? extends U> after)`
Construct a composed `Converter` that first applies this `Converter` to its input, and then applies the `after` `Converter` to the result.
`<T extends R>
Converter<S,T>`
ConverterFactory.`getConverter(Class<T> targetType)`
Get the converter to convert from S to target type T, where T is also an instance of R.
Methods in org.springframework.core.convert.converter with parameters of type Converter
Modifier and Type
Method
Description
`<S, T> void`
ConverterRegistry.`addConverter(Class<S> sourceType, Class<T> targetType, Converter<? super S,? extends T> converter)`
Add a plain converter to this registry.
`void`
ConverterRegistry.`addConverter(Converter<?,?> converter)`
Add a plain converter to this registry.
`default <U> Converter<S,U>`
Converter.`andThen(Converter<? super T,? extends U> after)`
Construct a composed `Converter` that first applies this `Converter` to its input, and then applies the `after` `Converter` to the result.
Constructors in org.springframework.core.convert.converter with parameters of type Converter
Modifier
Constructor
Description
``
`ConvertingComparator(Comparator<T> comparator, Converter<S,T> converter)`
Create a new `ConvertingComparator` instance.
``
`ConvertingComparator(Converter<S,T> converter)`
Create a new `ConvertingComparator` instance.

## Uses of Converter in org.springframework.core.convert.support

Methods in org.springframework.core.convert.support with parameters of type Converter
Modifier and Type
Method
Description
`<S, T> void`
GenericConversionService.`addConverter(Class<S> sourceType, Class<T> targetType, Converter<? super S,? extends T> converter)`
`void`
GenericConversionService.`addConverter(Converter<?,?> converter)`

## Uses of Converter in org.springframework.core.serializer.support

Classes in org.springframework.core.serializer.support that implement Converter
Modifier and Type
Class
Description
`class`
`DeserializingConverter`
A `Converter` that delegates to a `Deserializer` to convert data in a byte array to an object.
`class`
`SerializingConverter`
A `Converter` that delegates to a `Serializer` to convert an object to a byte array.